/**
 * Parse a comment marker.
 * @param {unknown} node
 * @returns {Marker|null}
 */
export function commentMarker(node: unknown): Marker | null
export type MarkerParameterValue = string | number | boolean
export type MarkerParameters = {
  [x: string]: MarkerParameterValue
}
export type HtmlNode = {
  type: 'html'
  value: string
}
export type CommentNode = {
  type: 'comment'
  value: string
}
export type Marker = {
  name: string
  attributes: string
  parameters: MarkerParameters | null
  node: HtmlNode | CommentNode
}
